JUnitOptions (Gradle API 3.2.1)
Date: 2016-11-22

org.gradle.api.tasks.testing.junit

## Class JUnitOptions

- java.lang.Object
- - org.gradle.api.tasks.testing.TestFrameworkOptions
  - - org.gradle.api.tasks.testing.junit.JUnitOptions

-     public class JUnitOptions
      extends TestFrameworkOptions

  The JUnit specific test options.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `JUnitOptions()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `JUnitOptions` | `excludeCategories(String... excludeCategories)`
    `Set<String>` | `getExcludeCategories()` The set of categories to exclude.
    `Set<String>` | `getIncludeCategories()` The set of categories to run.
    `JUnitOptions` | `includeCategories(String... includeCategories)`
    `void` | `setExcludeCategories(Set<String> excludeCategories)`
    `void` | `setIncludeCategories(Set<String> includeCategories)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### JUnitOptions

          public JUnitOptions()

  - ### Method Detail

    - #### includeCategories

          @Incubating
          public JUnitOptions includeCategories(String... includeCategories)

    - #### excludeCategories

          @Incubating
          public JUnitOptions excludeCategories(String... excludeCategories)

    - #### getIncludeCategories

          @Incubating
          public Set<String> getIncludeCategories()

      The set of categories to run.

    - #### setIncludeCategories

          @Incubating
          public void setIncludeCategories(Set<String> includeCategories)

    - #### getExcludeCategories

          @Incubating
          public Set<String> getExcludeCategories()

      The set of categories to exclude.

    - #### setExcludeCategories

          public void setExcludeCategories(Set<String> excludeCategories)